#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* VDAC_viDAC8 */
#define VDAC_viDAC8__CR0 CYREG_DAC2_CR0
#define VDAC_viDAC8__CR1 CYREG_DAC2_CR1
#define VDAC_viDAC8__D CYREG_DAC2_D
#define VDAC_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC_viDAC8__PM_ACT_MSK 0x04u
#define VDAC_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC_viDAC8__PM_STBY_MSK 0x04u
#define VDAC_viDAC8__STROBE CYREG_DAC2_STROBE
#define VDAC_viDAC8__SW0 CYREG_DAC2_SW0
#define VDAC_viDAC8__SW2 CYREG_DAC2_SW2
#define VDAC_viDAC8__SW3 CYREG_DAC2_SW3
#define VDAC_viDAC8__SW4 CYREG_DAC2_SW4
#define VDAC_viDAC8__TR CYREG_DAC2_TR
#define VDAC_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC2_M1
#define VDAC_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC2_M2
#define VDAC_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC2_M3
#define VDAC_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC2_M4
#define VDAC_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC2_M5
#define VDAC_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC2_M6
#define VDAC_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC2_M7
#define VDAC_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC2_M8
#define VDAC_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC2_TR
#define VDAC_viDAC8__TST CYREG_DAC2_TST

/* Opamp_ABuf */
#define Opamp_ABuf__CR CYREG_ABUF2_CR
#define Opamp_ABuf__MX CYREG_ABUF2_MX
#define Opamp_ABuf__NPUMP_ABUF_TR0 CYREG_NPUMP_ABUF_TR0
#define Opamp_ABuf__PM_ACT_CFG CYREG_PM_ACT_CFG4
#define Opamp_ABuf__PM_ACT_MSK 0x04u
#define Opamp_ABuf__PM_STBY_CFG CYREG_PM_STBY_CFG4
#define Opamp_ABuf__PM_STBY_MSK 0x04u
#define Opamp_ABuf__RSVD CYREG_ABUF2_RSVD
#define Opamp_ABuf__SW CYREG_ABUF2_SW
#define Opamp_ABuf__TR0 CYREG_ABUF2_TR0
#define Opamp_ABuf__TR1 CYREG_ABUF2_TR1

/* Clock_1 */
#define Clock_1__CFG0 CYREG_CLKDIST_DCFG1_CFG0
#define Clock_1__CFG1 CYREG_CLKDIST_DCFG1_CFG1
#define Clock_1__CFG2 CYREG_CLKDIST_DCFG1_CFG2
#define Clock_1__CFG2_SRC_SEL_MASK 0x07u
#define Clock_1__INDEX 0x01u
#define Clock_1__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_1__PM_ACT_MSK 0x02u
#define Clock_1__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_1__PM_STBY_MSK 0x02u

/* Clock_2 */
#define Clock_2__CFG0 CYREG_CLKDIST_DCFG0_CFG0
#define Clock_2__CFG1 CYREG_CLKDIST_DCFG0_CFG1
#define Clock_2__CFG2 CYREG_CLKDIST_DCFG0_CFG2
#define Clock_2__CFG2_SRC_SEL_MASK 0x07u
#define Clock_2__INDEX 0x00u
#define Clock_2__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_2__PM_ACT_MSK 0x01u
#define Clock_2__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_2__PM_STBY_MSK 0x01u

/* Clock_3 */
#define Clock_3__CFG0 CYREG_CLKDIST_DCFG3_CFG0
#define Clock_3__CFG1 CYREG_CLKDIST_DCFG3_CFG1
#define Clock_3__CFG2 CYREG_CLKDIST_DCFG3_CFG2
#define Clock_3__CFG2_SRC_SEL_MASK 0x07u
#define Clock_3__INDEX 0x03u
#define Clock_3__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_3__PM_ACT_MSK 0x08u
#define Clock_3__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_3__PM_STBY_MSK 0x08u

/* Clock_4 */
#define Clock_4__CFG0 CYREG_CLKDIST_DCFG2_CFG0
#define Clock_4__CFG1 CYREG_CLKDIST_DCFG2_CFG1
#define Clock_4__CFG2 CYREG_CLKDIST_DCFG2_CFG2
#define Clock_4__CFG2_SRC_SEL_MASK 0x07u
#define Clock_4__INDEX 0x02u
#define Clock_4__PM_ACT_CFG CYREG_PM_ACT_CFG2
#define Clock_4__PM_ACT_MSK 0x04u
#define Clock_4__PM_STBY_CFG CYREG_PM_STBY_CFG2
#define Clock_4__PM_STBY_MSK 0x04u

/* Audio */
#define Audio__0__MASK 0x01u
#define Audio__0__PC CYREG_PRT0_PC0
#define Audio__0__PORT 0u
#define Audio__0__SHIFT 0
#define Audio__AG CYREG_PRT0_AG
#define Audio__AMUX CYREG_PRT0_AMUX
#define Audio__BIE CYREG_PRT0_BIE
#define Audio__BIT_MASK CYREG_PRT0_BIT_MASK
#define Audio__BYP CYREG_PRT0_BYP
#define Audio__CTL CYREG_PRT0_CTL
#define Audio__DM0 CYREG_PRT0_DM0
#define Audio__DM1 CYREG_PRT0_DM1
#define Audio__DM2 CYREG_PRT0_DM2
#define Audio__DR CYREG_PRT0_DR
#define Audio__INP_DIS CYREG_PRT0_INP_DIS
#define Audio__LCD_COM_SEG CYREG_PRT0_LCD_COM_SEG
#define Audio__LCD_EN CYREG_PRT0_LCD_EN
#define Audio__MASK 0x01u
#define Audio__PORT 0u
#define Audio__PRT CYREG_PRT0_PRT
#define Audio__PRTDSI__CAPS_SEL CYREG_PRT0_CAPS_SEL
#define Audio__PRTDSI__DBL_SYNC_IN CYREG_PRT0_DBL_SYNC_IN
#define Audio__PRTDSI__OE_SEL0 CYREG_PRT0_OE_SEL0
#define Audio__PRTDSI__OE_SEL1 CYREG_PRT0_OE_SEL1
#define Audio__PRTDSI__OUT_SEL0 CYREG_PRT0_OUT_SEL0
#define Audio__PRTDSI__OUT_SEL1 CYREG_PRT0_OUT_SEL1
#define Audio__PRTDSI__SYNC_OUT CYREG_PRT0_SYNC_OUT
#define Audio__PS CYREG_PRT0_PS
#define Audio__SHIFT 0
#define Audio__SLW CYREG_PRT0_SLW

/* Led_1 */
#define Led_1__0__MASK 0x01u
#define Led_1__0__PC CYREG_PRT2_PC0
#define Led_1__0__PORT 2u
#define Led_1__0__SHIFT 0
#define Led_1__AG CYREG_PRT2_AG
#define Led_1__AMUX CYREG_PRT2_AMUX
#define Led_1__BIE CYREG_PRT2_BIE
#define Led_1__BIT_MASK CYREG_PRT2_BIT_MASK
#define Led_1__BYP CYREG_PRT2_BYP
#define Led_1__CTL CYREG_PRT2_CTL
#define Led_1__DM0 CYREG_PRT2_DM0
#define Led_1__DM1 CYREG_PRT2_DM1
#define Led_1__DM2 CYREG_PRT2_DM2
#define Led_1__DR CYREG_PRT2_DR
#define Led_1__INP_DIS CYREG_PRT2_INP_DIS
#define Led_1__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Led_1__LCD_EN CYREG_PRT2_LCD_EN
#define Led_1__MASK 0x01u
#define Led_1__PORT 2u
#define Led_1__PRT CYREG_PRT2_PRT
#define Led_1__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Led_1__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Led_1__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Led_1__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Led_1__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Led_1__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Led_1__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Led_1__PS CYREG_PRT2_PS
#define Led_1__SHIFT 0
#define Led_1__SLW CYREG_PRT2_SLW

/* Led_2 */
#define Led_2__0__MASK 0x02u
#define Led_2__0__PC CYREG_PRT2_PC1
#define Led_2__0__PORT 2u
#define Led_2__0__SHIFT 1
#define Led_2__AG CYREG_PRT2_AG
#define Led_2__AMUX CYREG_PRT2_AMUX
#define Led_2__BIE CYREG_PRT2_BIE
#define Led_2__BIT_MASK CYREG_PRT2_BIT_MASK
#define Led_2__BYP CYREG_PRT2_BYP
#define Led_2__CTL CYREG_PRT2_CTL
#define Led_2__DM0 CYREG_PRT2_DM0
#define Led_2__DM1 CYREG_PRT2_DM1
#define Led_2__DM2 CYREG_PRT2_DM2
#define Led_2__DR CYREG_PRT2_DR
#define Led_2__INP_DIS CYREG_PRT2_INP_DIS
#define Led_2__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Led_2__LCD_EN CYREG_PRT2_LCD_EN
#define Led_2__MASK 0x02u
#define Led_2__PORT 2u
#define Led_2__PRT CYREG_PRT2_PRT
#define Led_2__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Led_2__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Led_2__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Led_2__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Led_2__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Led_2__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Led_2__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Led_2__PS CYREG_PRT2_PS
#define Led_2__SHIFT 1
#define Led_2__SLW CYREG_PRT2_SLW

/* Led_3 */
#define Led_3__0__MASK 0x04u
#define Led_3__0__PC CYREG_PRT2_PC2
#define Led_3__0__PORT 2u
#define Led_3__0__SHIFT 2
#define Led_3__AG CYREG_PRT2_AG
#define Led_3__AMUX CYREG_PRT2_AMUX
#define Led_3__BIE CYREG_PRT2_BIE
#define Led_3__BIT_MASK CYREG_PRT2_BIT_MASK
#define Led_3__BYP CYREG_PRT2_BYP
#define Led_3__CTL CYREG_PRT2_CTL
#define Led_3__DM0 CYREG_PRT2_DM0
#define Led_3__DM1 CYREG_PRT2_DM1
#define Led_3__DM2 CYREG_PRT2_DM2
#define Led_3__DR CYREG_PRT2_DR
#define Led_3__INP_DIS CYREG_PRT2_INP_DIS
#define Led_3__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Led_3__LCD_EN CYREG_PRT2_LCD_EN
#define Led_3__MASK 0x04u
#define Led_3__PORT 2u
#define Led_3__PRT CYREG_PRT2_PRT
#define Led_3__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Led_3__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Led_3__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Led_3__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Led_3__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Led_3__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Led_3__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Led_3__PS CYREG_PRT2_PS
#define Led_3__SHIFT 2
#define Led_3__SLW CYREG_PRT2_SLW

/* Led_4 */
#define Led_4__0__MASK 0x08u
#define Led_4__0__PC CYREG_PRT2_PC3
#define Led_4__0__PORT 2u
#define Led_4__0__SHIFT 3
#define Led_4__AG CYREG_PRT2_AG
#define Led_4__AMUX CYREG_PRT2_AMUX
#define Led_4__BIE CYREG_PRT2_BIE
#define Led_4__BIT_MASK CYREG_PRT2_BIT_MASK
#define Led_4__BYP CYREG_PRT2_BYP
#define Led_4__CTL CYREG_PRT2_CTL
#define Led_4__DM0 CYREG_PRT2_DM0
#define Led_4__DM1 CYREG_PRT2_DM1
#define Led_4__DM2 CYREG_PRT2_DM2
#define Led_4__DR CYREG_PRT2_DR
#define Led_4__INP_DIS CYREG_PRT2_INP_DIS
#define Led_4__LCD_COM_SEG CYREG_PRT2_LCD_COM_SEG
#define Led_4__LCD_EN CYREG_PRT2_LCD_EN
#define Led_4__MASK 0x08u
#define Led_4__PORT 2u
#define Led_4__PRT CYREG_PRT2_PRT
#define Led_4__PRTDSI__CAPS_SEL CYREG_PRT2_CAPS_SEL
#define Led_4__PRTDSI__DBL_SYNC_IN CYREG_PRT2_DBL_SYNC_IN
#define Led_4__PRTDSI__OE_SEL0 CYREG_PRT2_OE_SEL0
#define Led_4__PRTDSI__OE_SEL1 CYREG_PRT2_OE_SEL1
#define Led_4__PRTDSI__OUT_SEL0 CYREG_PRT2_OUT_SEL0
#define Led_4__PRTDSI__OUT_SEL1 CYREG_PRT2_OUT_SEL1
#define Led_4__PRTDSI__SYNC_OUT CYREG_PRT2_SYNC_OUT
#define Led_4__PS CYREG_PRT2_PS
#define Led_4__SHIFT 3
#define Led_4__SLW CYREG_PRT2_SLW

/* Led_5 */
#define Led_5__0__MASK 0x01u
#define Led_5__0__PC CYREG_PRT4_PC0
#define Led_5__0__PORT 4u
#define Led_5__0__SHIFT 0
#define Led_5__AG CYREG_PRT4_AG
#define Led_5__AMUX CYREG_PRT4_AMUX
#define Led_5__BIE CYREG_PRT4_BIE
#define Led_5__BIT_MASK CYREG_PRT4_BIT_MASK
#define Led_5__BYP CYREG_PRT4_BYP
#define Led_5__CTL CYREG_PRT4_CTL
#define Led_5__DM0 CYREG_PRT4_DM0
#define Led_5__DM1 CYREG_PRT4_DM1
#define Led_5__DM2 CYREG_PRT4_DM2
#define Led_5__DR CYREG_PRT4_DR
#define Led_5__INP_DIS CYREG_PRT4_INP_DIS
#define Led_5__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Led_5__LCD_EN CYREG_PRT4_LCD_EN
#define Led_5__MASK 0x01u
#define Led_5__PORT 4u
#define Led_5__PRT CYREG_PRT4_PRT
#define Led_5__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Led_5__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Led_5__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Led_5__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Led_5__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Led_5__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Led_5__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Led_5__PS CYREG_PRT4_PS
#define Led_5__SHIFT 0
#define Led_5__SLW CYREG_PRT4_SLW

/* Led_6 */
#define Led_6__0__MASK 0x02u
#define Led_6__0__PC CYREG_PRT4_PC1
#define Led_6__0__PORT 4u
#define Led_6__0__SHIFT 1
#define Led_6__AG CYREG_PRT4_AG
#define Led_6__AMUX CYREG_PRT4_AMUX
#define Led_6__BIE CYREG_PRT4_BIE
#define Led_6__BIT_MASK CYREG_PRT4_BIT_MASK
#define Led_6__BYP CYREG_PRT4_BYP
#define Led_6__CTL CYREG_PRT4_CTL
#define Led_6__DM0 CYREG_PRT4_DM0
#define Led_6__DM1 CYREG_PRT4_DM1
#define Led_6__DM2 CYREG_PRT4_DM2
#define Led_6__DR CYREG_PRT4_DR
#define Led_6__INP_DIS CYREG_PRT4_INP_DIS
#define Led_6__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Led_6__LCD_EN CYREG_PRT4_LCD_EN
#define Led_6__MASK 0x02u
#define Led_6__PORT 4u
#define Led_6__PRT CYREG_PRT4_PRT
#define Led_6__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Led_6__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Led_6__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Led_6__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Led_6__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Led_6__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Led_6__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Led_6__PS CYREG_PRT4_PS
#define Led_6__SHIFT 1
#define Led_6__SLW CYREG_PRT4_SLW

/* Led_7 */
#define Led_7__0__MASK 0x04u
#define Led_7__0__PC CYREG_PRT4_PC2
#define Led_7__0__PORT 4u
#define Led_7__0__SHIFT 2
#define Led_7__AG CYREG_PRT4_AG
#define Led_7__AMUX CYREG_PRT4_AMUX
#define Led_7__BIE CYREG_PRT4_BIE
#define Led_7__BIT_MASK CYREG_PRT4_BIT_MASK
#define Led_7__BYP CYREG_PRT4_BYP
#define Led_7__CTL CYREG_PRT4_CTL
#define Led_7__DM0 CYREG_PRT4_DM0
#define Led_7__DM1 CYREG_PRT4_DM1
#define Led_7__DM2 CYREG_PRT4_DM2
#define Led_7__DR CYREG_PRT4_DR
#define Led_7__INP_DIS CYREG_PRT4_INP_DIS
#define Led_7__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Led_7__LCD_EN CYREG_PRT4_LCD_EN
#define Led_7__MASK 0x04u
#define Led_7__PORT 4u
#define Led_7__PRT CYREG_PRT4_PRT
#define Led_7__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Led_7__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Led_7__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Led_7__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Led_7__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Led_7__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Led_7__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Led_7__PS CYREG_PRT4_PS
#define Led_7__SHIFT 2
#define Led_7__SLW CYREG_PRT4_SLW

/* Led_8 */
#define Led_8__0__MASK 0x08u
#define Led_8__0__PC CYREG_PRT4_PC3
#define Led_8__0__PORT 4u
#define Led_8__0__SHIFT 3
#define Led_8__AG CYREG_PRT4_AG
#define Led_8__AMUX CYREG_PRT4_AMUX
#define Led_8__BIE CYREG_PRT4_BIE
#define Led_8__BIT_MASK CYREG_PRT4_BIT_MASK
#define Led_8__BYP CYREG_PRT4_BYP
#define Led_8__CTL CYREG_PRT4_CTL
#define Led_8__DM0 CYREG_PRT4_DM0
#define Led_8__DM1 CYREG_PRT4_DM1
#define Led_8__DM2 CYREG_PRT4_DM2
#define Led_8__DR CYREG_PRT4_DR
#define Led_8__INP_DIS CYREG_PRT4_INP_DIS
#define Led_8__LCD_COM_SEG CYREG_PRT4_LCD_COM_SEG
#define Led_8__LCD_EN CYREG_PRT4_LCD_EN
#define Led_8__MASK 0x08u
#define Led_8__PORT 4u
#define Led_8__PRT CYREG_PRT4_PRT
#define Led_8__PRTDSI__CAPS_SEL CYREG_PRT4_CAPS_SEL
#define Led_8__PRTDSI__DBL_SYNC_IN CYREG_PRT4_DBL_SYNC_IN
#define Led_8__PRTDSI__OE_SEL0 CYREG_PRT4_OE_SEL0
#define Led_8__PRTDSI__OE_SEL1 CYREG_PRT4_OE_SEL1
#define Led_8__PRTDSI__OUT_SEL0 CYREG_PRT4_OUT_SEL0
#define Led_8__PRTDSI__OUT_SEL1 CYREG_PRT4_OUT_SEL1
#define Led_8__PRTDSI__SYNC_OUT CYREG_PRT4_SYNC_OUT
#define Led_8__PS CYREG_PRT4_PS
#define Led_8__SHIFT 3
#define Led_8__SLW CYREG_PRT4_SLW

/* Miscellaneous */
/* -- WARNING: define names containing LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_DEBUGGING_DPS_SWD_SWV 6
#define CYDEV_CONFIG_UNUSED_IO_AllowButWarn 0
#define CYDEV_CONFIGURATION_MODE_COMPRESSED 0
#define CYDEV_CONFIG_FASTBOOT_ENABLED 0
#define CYDEV_CHIP_REV_PANTHER_ES1 1u
#define CYDEV_CHIP_REVISION_5A_ES1 1u
#define CYDEV_CHIP_MEMBER_5A 3u
#define CYDEV_CHIP_FAMILY_PSOC5 3u
#define CYDEV_CHIP_DIE_PANTHER 3u
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1u
#define CYDEV_CHIP_DIE_PSOC4A 2u
#define CYDEV_CHIP_DIE_PSOC5LP 4u
#define CYDEV_CHIP_DIE_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_PSOC3 1u
#define CYDEV_CHIP_FAMILY_PSOC4 2u
#define CYDEV_CHIP_FAMILY_UNKNOWN 0u
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069u
#define CYDEV_CHIP_MEMBER_3A 1u
#define CYDEV_CHIP_MEMBER_4A 2u
#define CYDEV_CHIP_MEMBER_5B 4u
#define CYDEV_CHIP_MEMBER_UNKNOWN 0u
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REVISION_3A_ES1 0u
#define CYDEV_CHIP_REVISION_3A_ES2 1u
#define CYDEV_CHIP_REVISION_3A_ES3 3u
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3u
#define CYDEV_CHIP_REVISION_4A_ES0 17u
#define CYDEV_CHIP_REVISION_4A_PRODUCTION 17u
#define CYDEV_CHIP_REVISION_5A_ES0 0u
#define CYDEV_CHIP_REVISION_5A_PRODUCTION 1u
#define CYDEV_CHIP_REVISION_5B_ES0 0u
#define CYDEV_CHIP_REVISION_5B_PRODUCTION 0u
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_ES1
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0u
#define CYDEV_CHIP_REV_LEOPARD_ES2 1u
#define CYDEV_CHIP_REV_LEOPARD_ES3 3u
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3u
#define CYDEV_CHIP_REV_PANTHER_ES0 0u
#define CYDEV_CHIP_REV_PANTHER_PRODUCTION 1u
#define CYDEV_CHIP_REV_PSOC4A_ES0 17u
#define CYDEV_CHIP_REV_PSOC4A_PRODUCTION 17u
#define CYDEV_CHIP_REV_PSOC5LP_ES0 0u
#define CYDEV_CHIP_REV_PSOC5LP_PRODUCTION 0u
#define CYDEV_CONFIGURATION_COMPRESSED 1
#define CYDEV_CONFIGURATION_DMA 0
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED CYDEV_CONFIG_FASTBOOT_ENABLED
#define CYDEV_CONFIGURATION_MODE CYDEV_CONFIGURATION_MODE_COMPRESSED
#define CYDEV_CONFIGURATION_MODE_DMA 2
#define CYDEV_CONFIGURATION_MODE_UNCOMPRESSED 1
#define CYDEV_CONFIG_UNUSED_IO CYDEV_CONFIG_UNUSED_IO_AllowButWarn
#define CYDEV_CONFIG_UNUSED_IO_AllowWithInfo 1
#define CYDEV_CONFIG_UNUSED_IO_Disallowed 2
#define CYDEV_DATA_CACHE_ENABLED 0
#define CYDEV_DEBUGGING_DPS CYDEV_DEBUGGING_DPS_SWD_SWV
#define CYDEV_DEBUGGING_DPS_Disable 3
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_DEBUG_ENABLE_MASK 0x01u
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DMA_CHANNELS_AVAILABLE 24u
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 0x1000
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_INTR_RISING 0x00000000u
#define CYDEV_PROJ_TYPE 0
#define CYDEV_PROJ_TYPE_BOOTLOADER 1
#define CYDEV_PROJ_TYPE_LOADABLE 2
#define CYDEV_PROJ_TYPE_MULTIAPPBOOTLOADER 3
#define CYDEV_PROJ_TYPE_STANDARD 0
#define CYDEV_PROTECTION_ENABLE 0
#define CYDEV_STACK_SIZE 0x4000
#define CYDEV_USE_BUNDLED_CMSIS 1
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define DMA_CHANNELS_USED__MASK0 0x00000000u
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
